Issue 10864

Summary: Border/Backgroundcolor button on toolbar is not 'sticky'
Product: Calc Reporter: zridling <zridling>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: barta, baumux, chris_mux, chrlutz, figurski, issues, jeongkyu.kim, kami911, kozodaevroman, mattfolco, michael.haus, michaelhaus, mux2005, norbert.notz, pagalmes.lists, philippe.ruffat, samuel, stp, thomas.lendo
Version: OOo 1.0.2   
Target Milestone: ---   
Hardware: Other   
OS: Windows ME   
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---

Description zridling 2003-01-22 18:51:28 UTC
A nice feature or enhancement would be a "memory" for the Border button on the 
toolbar in the spreadsheet. If it could "remember" the last-used border, that 
would save an extra find-and-click. thanks!
Comment 1 frank 2003-01-23 07:34:55 UTC
Hi Bettina,

1 4 u

Frank
Comment 2 frank 2003-08-14 09:08:04 UTC
*** Issue 18212 has been marked as a duplicate of this issue. ***
Comment 3 rblackeagle 2003-08-15 01:51:27 UTC
This is not the only item that the user expects to be saved with the
worksheet but is not.  I find it and the color settings to be
irritatingly revised when reopening.
Comment 4 philipperuffat 2005-05-04 10:31:51 UTC
The same problem exists in 1.9.95 ... Help !!!!!!!!!
Thanks !!
Comment 5 frank 2005-11-21 08:52:55 UTC
*** Issue 18129 has been marked as a duplicate of this issue. ***
Comment 6 frank 2006-04-11 13:46:15 UTC
*** Issue 63889 has been marked as a duplicate of this issue. ***
Comment 7 frank 2006-07-03 10:15:09 UTC
*** Issue 66660 has been marked as a duplicate of this issue. ***
Comment 8 frank 2006-08-07 08:18:45 UTC
*** Issue 67729 has been marked as a duplicate of this issue. ***
Comment 9 phervas 2006-08-10 15:57:12 UTC
Hi friends.
I would go a little bit further in this issue.
I think the following buttons should be sticky:

- border
- background color
- border color
- line style, and
- line color

The downward arrow on the right of the button should display
the dialog with the options, but if one clicks on the color, line, etc,
dipslayed, that option should be applied. Right now, whether you click on the
color or on the downward arrow, the dialog is displayed.

Thanks,
Patricio Hervas
Comment 10 frank 2006-09-19 10:12:18 UTC
*** Issue 69658 has been marked as a duplicate of this issue. ***
Comment 11 philipperuffat 2006-09-19 14:47:12 UTC
Is This issue should be updated ....  ?
OS is not only Windows ME,
Version is not 1.0.2 but from 1.0.x to 2.0.x 
Component is not only Spreadsheet but all components 
Summary  can be : "Sticky buttons on toolbar"  to be more comprehensive and
avoid  duplicate issues  ..

And, last but not least .... Target Milestone should be defined !! 

;-)

Thanks !

Phil
  

Comment 12 frank 2006-09-27 09:41:32 UTC
*** Issue 69886 has been marked as a duplicate of this issue. ***
Comment 13 frank 2006-09-27 09:41:41 UTC
changed Summary
Comment 14 phervas 2006-09-27 14:32:48 UTC
I don't understand, how complicated could it be to please us by
fixing this issue. Its been more than three years since this was
posted !! To me it seems that OOo developers just don't care about
any of this posts, none of the posts I'm active at have seen any
improvement, so I just feel I'm losing my time with OOo as a 
concerned user.

Sincerely,
Patricio Hervas
Comment 15 frank 2006-09-27 15:26:06 UTC
*** Issue 69886 has been marked as a duplicate of this issue. ***
Comment 16 frank 2007-02-19 15:19:13 UTC
*** Issue 73004 has been marked as a duplicate of this issue. ***
Comment 17 bettina.haberer 2007-02-19 15:30:53 UTC
Set to the correct owner requirements.
Comment 18 frank 2007-10-19 22:20:49 UTC
*** Issue 82804 has been marked as a duplicate of this issue. ***
Comment 19 thegerbil 2008-02-25 13:05:00 UTC
This is being raised by a client as a "Big Annoyance" as they use colour in
cells a lot. Please can this be scheduled for a fix. Thanks.
Comment 20 frank.loehmann 2008-02-25 15:43:30 UTC
Set target to 3.x. Was also reported by a customer of mine and is already on the
Calc UX list:

http://wiki.services.openoffice.org/wiki/Calc_Usability_Activities

I think this is not a Calc only issue.
Comment 21 mfigrs 2008-05-07 14:01:10 UTC
Recently I had a lot of clicking because of this feature missing. It is an
essential productivity issue! Moving the mouse and clicking so many times puts a
substantial strain on my wrists.

Besides, I use WinXP, so this is not only Win ME issue. Please change that.
Also the status "NEW" looks funny here, since this issue is actually pretty old...
Comment 22 norbert2 2008-05-09 21:49:11 UTC
This issue is a duplicate of issue 43595.

The problem is that these old-style floaters are not sticky. Just have a look
for example at the Drawing toolbar. It has these new-style dorp-downs and theye
are sticky.
So this issue has to be fixed by changing all remaining old-style floaters to
new-style ones with sticky drop-downs.

Could someone with the privileges set this issue as duplicate issue 43595!?

And please don't forget to move your votes. So we will get a better and more
homogeneous looking GUI plus sticky buttons with only one issue. :-)
Comment 23 frank.loehmann 2008-05-22 09:41:10 UTC
This issue is important and listed on the quarterly review for Calc:
http://wiki.services.openoffice.org/wiki/2008_Q2_Review_of_Spreadsheet_Project
Comment 24 chrishiestand 2008-08-19 06:47:03 UTC
This is still an issue in 3.0beta2. This issue seems like real "low hanging fruit" way to improve the OO user 
experience.
Comment 25 dzurn 2008-08-19 14:57:30 UTC
Still an issue in OOo-dev 3.0.0 build 9343, on Intel Mac OS X (10.4 Tiger).
Comment 26 jenf 2008-09-08 17:46:20 UTC
Still an issue in OOo 3.0 RC1 (build 9350)!
Comment 27 norbert2 2008-09-08 19:39:01 UTC
Still a duplicate of issue 43595. ;-)
Comment 28 another_sam 2008-12-30 18:24:30 UTC
OMG this bug has 6 years and 12 duplicates:

* Issue 18212
** Issue 51646
* Issue 18129
** Issue 18138
** Issue 53748
* Issue 63889
* Issue 66660
* Issue 67729
* Issue 69658
* Issue 69886
* Issue 73004
* Issue 82804

On yesterday, one hopefully-yet-ex-excel-user who has been using OOo for the
first time since 2 weeks ago, daily, at work, sent me her complaints about this
fact.

The good news is that, so far, this is the only issue she has found in Calc 3.0.0.

So, please, increase the priority to fix this bug or it will soon become a
symbol, like Nelson Mandela's 46664.

People vote for this ! http://www.openoffice.org/issues/showvotes.cgi?voteon=10864
Comment 29 tommy27 2009-02-16 22:24:34 UTC
this issue deserves fixing because:
- it's annoying
- it's very old
- had many voted and duplicate issues

personally i had to record macros for each of the colors i use more often to 
fill cells in Calc and create a toolbar button for each macro.

this is my workaround... but Calc "fill" tool should be sticky as in Writer.

please change milestone to OOo 3.2
Comment 30 norbert2 2009-02-17 08:07:02 UTC
The problem is that the introduction of the OOo2 gui has never been completed.
See issue 43595.
Comment 31 another_sam 2009-02-20 23:28:14 UTC
Just realized that, on Writer, Font Color and Highlighting buttons ARE sticky. 

Maybe some copy paste of code from this buttons could be done for Border and
Background Color buttons on both Spreadsheet and Word processor components as
transitional fix while OOo 2 GUI is completely introduced.
Comment 32 tommy27 2009-02-21 10:32:17 UTC
I knew that and i think it's kinda weird that the same buttons are sticky on 
Writer and not sticky on Calc.
Comment 33 kpalagin 2009-02-24 18:12:50 UTC
*** Issue 40778 has been marked as a duplicate of this issue. ***
Comment 34 tommy27 2009-10-09 15:28:24 UTC
I'm curious to know what is preventing to fix this issue.
it's here since 2003 and looks apparently simple to resolve, however something 
strange must have happened... sometimes easiest tasks may hide unpredictable 
troubles...
Comment 35 nickdrums 2009-10-09 16:06:22 UTC
Agreed - new releases come and go, and this is always the issue I hope will 
have been resolved, and it never is!
Comment 36 tommy27 2009-10-10 12:15:03 UTC
i'd like to see it fixed in OOo 3.3
Comment 37 tommy27 2010-02-12 22:49:44 UTC
this issue MUST BE FIXED in OOo 3.3
Comment 38 tommy27 2010-04-12 12:46:57 UTC
sorry about my last post which was kinda rude...


i think this issue deserves to be fixed

i suggested the fix here: http://blogs.sun.com/GullFOSS/entry/
better_default_settings_anyone

I'd like to see Calc sticky button as a new default setting just as it already 
happens in Writer
Comment 39 tommy27 2010-10-09 19:38:19 UTC
I'm afraid this issue won't be fixed in OOo 3.3...

:(
Comment 40 tommy27 2010-12-28 22:14:34 UTC
please, consider fixin' it in 3.4
Comment 41 tommy27 2012-05-03 18:56:54 UTC
this bug has been fixed in LibreOffice master and will be in future LibO 3.6.0 version (august 2012)
Comment 42 another_sam 2012-05-03 21:42:48 UTC
EPIC

Thank you to all who have made this possible.
Comment 43 mattfolco 2012-05-04 08:31:45 UTC
Doing a happy dance. Thanks very much.
Comment 44 philipperuffat 2012-08-21 08:13:40 UTC
Welcome LibreOffice 3.6 !
Background color and  text color can now be 'sticky' ...

Border button, still not ...